# Class LastPositionComponent

java.lang.Object
net.miarma.hystuff.component.LastPositionComponent

All Implemented Interfaces:
  `com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>, Cloneable`

public class LastPositionComponent extends Object implements com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.hypixel.hytale.codec.builder.BuilderCodec<LastPositionComponent>`
`CODEC`

### Fields inherited from interface com.hypixel.hytale.component.Component

`EMPTY_ARRAY`

## Constructor Summary

Constructors
Constructor
Description
`LastPositionComponent()`
`LastPositionComponent(com.hypixel.hytale.math.vector.Transform transform, UUID worldUuid)`

## Method Summary

Modifier and Type
Method
Description
`com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`
`clone()`
`com.hypixel.hytale.math.vector.Transform`
`getTransform()`
`UUID`
`getWorldUuid()`
`void`
`setTransform(com.hypixel.hytale.math.vector.Transform transform)`
`void`
`setWorldUuid(UUID worldUuid)`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.hypixel.hytale.component.Component

`cloneSerializable`

## Field Details

### CODEC

public static final com.hypixel.hytale.codec.builder.BuilderCodec<LastPositionComponent> CODEC

## Constructor Details

### LastPositionComponent

public LastPositionComponent()

### LastPositionComponent

public LastPositionComponent(com.hypixel.hytale.math.vector.Transform transform, UUID worldUuid)

## Method Details

### getTransform

public com.hypixel.hytale.math.vector.Transform getTransform()

### setTransform

public void setTransform(com.hypixel.hytale.math.vector.Transform transform)

### getWorldUuid

public UUID getWorldUuid()

### setWorldUuid

public void setWorldUuid(UUID worldUuid)

### clone

@Nonnull public com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore> clone()

Specified by:
  `clone` in interface `com.hypixel.hytale.component.Component<com.hypixel.hytale.server.core.universe.world.storage.EntityStore>`
Overrides:
  `clone` in class `Object`